{{#if this.canSelectAll}}
  <div class="selectable-list-selection-tools">
    <div class="form-check">
      <Input class="form-check-input chk-select-all" @type="checkbox" @checked={{this.allSelected}} id="select-all-records" />

      <label class="form-check-label" for="select-all-records">
        {{t "select all"}}
      </label>
    </div>
  </div>
{{/if}}

{{#if this.isEmpty}}
  <div class="alert alert-info flex-fill mx-3" role="alert">
    {{t "message-selectable-list-empty"}}
  </div>
{{/if}}

{{#each this.value as |item|}}
  {{yield item this.selection this.onSelect}}
{{/each}}

<LazyListLoadMore @lazyList={{@value}} class="load-more" />

{{#if this.selection}}
  <Manage::ActionsSelected @actions={{this.actions}} @selected={{this.selection}} @onAction={{this.action}} @onDelete={{this.delete}} class="w-100"/>
{{/if}}
